Bug 444062 - Can't check out Fedora pkgcvs with eclipse
Can't check out Fedora pkgcvs with eclipse
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 16:18 EDT by Adam Jackson
Modified: 2013-01-21 15:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2008-04-24 16:18:47 EDT
Description of problem:

File menu, import.  Select "projects from CVS".  Use
:pserver:anonymous@cvs.fedora.redhat.com:/cvs/pkgs for the CVS root, check out
the rpms module.  Wait about an hour, then enjoy the out of memory errors.

Yes, I'm aware this is an utterly perverse thing to be doing.

Version-Release number of selected component (if applicable):

eclipse-cvs-client-3.3.2-9.fc9.i386
eclipse-platform-3.3.2-9.fc9.i386
tomcat5-jasper-eclipse-5.5.26-1jpp.2.fc9.i386
icu4j-eclipse-3.6.1-2jpp.6.fc9.i386
eclipse-cdt-4.0.3-1.fc9.i386
eclipse-ecj-3.3.2-9.fc9.i386
eclipse-rcp-3.3.2-9.fc9.i386

atropine:~% java -version
java version "1.6.0"
IcedTea Runtime Environment (build 1.6.0-b08)
OpenJDK Server VM (build 1.6.0-b08, mixed mode)
Comment 1 Bug Zapper 2008-05-14 06:06:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:25:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Andrew Overholt 2009-06-10 10:55:10 EDT
I'm largely confident this would still be the case.  I suspect eclipse.ini tweaks may be necessary.
Comment 4 Charley Wang 2010-03-12 10:12:34 EST
After a really long time, I get a Java heap error. 

Tried it with these arguments -vmargs -Xms1024m -Xmx1024m -XX:PermSize=512m -XX:MaxPermSize=512m"

With these args looks like everything checked out (I have up to zzuf checked out), and the error was thrown when attempting to Decorate.
Comment 5 Bug Zapper 2010-04-27 08:01:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:35:16 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.